> ## Documentation Index
> Fetch the complete documentation index at: https://developers.myhero.so/llms.txt
> Use this file to discover all available pages before exploring further.

# Replace an expired sign-in link

> Public.

Emails a new sign-in link to the address an expired one was for.



## OpenAPI

````yaml post /signature/guest/sign-in/{token}/renew
openapi: 3.1.0
info:
  title: HERO API
  version: current
  description: |-
    The HERO REST API.

    See https://developers.myhero.so for the rendered docs.
servers:
  - url: https://app.myhero.so
security: []
paths:
  /signature/guest/sign-in/{token}/renew:
    post:
      tags:
        - Signatures
      summary: Replace an expired sign-in link
      description: |-
        Public.

        Emails a new sign-in link to the address an expired one was for.
      operationId: renewSignatureSignInLink
      parameters:
        - schema:
            type: string
            minLength: 16
          required: true
          name: token
          in: path
      responses:
        '200':
          description: 200 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      sent:
                        type: boolean
                        enum:
                          - true
                    required:
                      - sent
                required:
                  - data
        '404':
          description: 404 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: |-
                      Error class name (e.g.

                      ValidationError, NotFound)
                  message:
                    type: string
                    description: Human-readable error message
                  details:
                    type: array
                    items: {}
                required:
                  - error
                  - message
      security: []

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.